#pragma once

#include <avr/interrupt.h>

extern uint32_t tick_count;
extern uint16_t ms_count;
extern uint8_t sec_count;
extern uint8_t min_count;
extern uint8_t hour_count;
extern uint16_t day_count;

//  
#define		BEEP_ON()		DDRC |= (1 << PC2); PORTC |= (1 << PC2)		// 
#define		BEEP_OFF()		PORTC &= ~(1 << PC2)						// 

#define gettc()		tick_count		// GetTickCount        . ,      
#define rtime()		second_count	// Relative Time        .     ))

#define up_time_sec	sec_count
#define up_time_ms	ms_count

void counter_init();				//     (  T2!)
