#pragma once			//         

/*
 * io.h
 *
 * Created: 11.05.2014 18:17:05
 *  Author: Gnitiev V.P.
 */ 

// -

//  
#define		B_MODE_PRESS	!(PINC & (1 << PC4))	// Button Mode
#define		B_PLUS_PRESS	!(PINC & (1 << PC5))	// Button +
#define		B_MINUS_PRESS	!(PINC & (1 << PC6))	// Button -
#define		B_SERV_PRESS	!(PINC & (1 << PC7))	//  

//    
#define		B_R_ON()		PORTC = (1 << PC4) | (1 << PC5) | (1 << PC6) | (1 << PC7) 

//    
// 
#define		CH1_ON()		DDRB |= (1 << PB0); PORTB |= (1 << PB0)
#define		CH2_ON()		DDRB |= (1 << PB1); PORTB |= (1 << PB1)
#define		CH3_ON()		DDRB |= (1 << PB2); PORTB |= (1 << PB2)
// 
#define		CH1_OFF()		PORTB &= ~(1 << PB0)
#define		CH2_OFF()		PORTB &= ~(1 << PB1)
#define		CH3_OFF()		PORTB &= ~(1 << PB2)

//   - .  counter.h
//#define		BEEP_ON()		DDRC |= (1 << PC2); PORTC |= (1 << PC2)		// 
//#define		BEEP_OFF()		PORTC &= ~(1 << PC2)						// 

// 

//  
#define		NORM_MODE	0
#define		H_MODE		1
#define		M_MODE		2
#define		I_MODE		3
#define		CH_MODE		4
#define		PRESS_MODE	5
#define		TIME_MODE	6
#define		TEMP_MODE	7
#define		END_MODE	TEMP_MODE	//  



//  

//    
#define		DISPLEY_DURATION_NUMBER 1

//    , 
#define		BEEP_DUR_CH_ON			150		//    
#define		BEEP_DUR_SHOT			500		//      -
#define		BEEP_DUR_KEY			50		//     

//      1307
#define		ch_time			ds1307.ram[0]		//     
#define		mode			ds1307.ram[2]		//  

// 
#define		alarm_active	ds1307.ram[3]
#define		alarm_m			ds1307.ram[4]
#define		alarm_h			ds1307.ram[5]

#define		ALARM_DURATION	500



//  

u08 alarm_on;

//      
u08 ch1;
u08 ch2;
u08 ch3;
u08 beep;