#pragma once

//****************************************************************************
//
// File name	: types.h
// Title		: Types
// Author		: Nik
// Created		: 05.2010
// Revised		:
// Version		:
// Target MCU	: 
// Description	: 
//
//
//****************************************************************************
//
//-----Defines----------------------------------------------------------------

/*
// datatype definitions macros
#define uint8_t  u08;
#define   int8_t  s08;
#define uint16_t u16;
#define   int16_t s16;
#define uint32_t  u32;
#define   int32_t  s32;
#define uint64_t u64;
#define   int64_t s64;
// 
*/

// datatype definitions macros
typedef unsigned char  u08;
typedef   signed char  s08;
typedef unsigned short u16;
typedef   signed short s16;
typedef unsigned long  u32;
typedef   signed long  s32;
typedef unsigned long long u64;
typedef   signed long long s64;


/* C99 standard integer type definitions
typedef unsigned char	uint8_t;
typedef   signed char	int8_t;
typedef unsigned short	uint16_t;
typedef   signed short	int16_t;
typedef unsigned long	uint32_t;
typedef   signed long	int32_t;
typedef unsigned long	uint64_t;
typedef   signed long	int64_t;
*/
// 
// maximum value that can be held
// by unsigned data types (8,16,32bits)
#define MAX_U08	255
#define MAX_U16	65535
#define MAX_U32	4294967295
// 
// maximum values that can be held
// by signed data types (8,16,32bits)
#define MIN_S08	-128
#define MAX_S08	127
#define MIN_S16	-32768
#define MAX_S16	32767
#define MIN_S32	-2147483648
#define MAX_S32	2147483647
// 
#define null 0x00
// 
#define true 1
#define false 0
//
#define ENABLE 1
#define DISABLE 0
// 
