#pragma once			//         

#include "types.h"
#include "i2c.h"

//      1307

#define		DS1307_OUT_H		0x70
#define		DS1307_OUT_L		0x00

#define		DS1307_OUT_1HZ		0x10
#define		DS1307_OUT_4096HZ	0x11
#define		DS1307_OUT_8192HZ	0x12
#define		DS1307_OUT_32768HZ	0x13

struct 
{
	u08 second;			// 
	u08 minutes;		// 
	u08 hours;			// 

	u08 day;			//  (1..7)
	u08 date;			//  (1..31)
	u08 month;			//  (1..12)
	u08 year;			//  (0..99)

	u08 control;		//   
	u08 ram[56];		//    
	
	u08 error;			//  
} ds1307;


u08 ds1307_start_clock(void);		//	  
u08 ds1307_stop_clock(void);		//	  
u08 ds1307_read(void);				//	     /   ds1307
u08 ds1307_write(void);				//	     ds1307   /
u08 ds1307_write_control(void);		//     ds1307.control  /    
u08 ds1307_write_ram(void);			//     ds1307.ram  /    

//       0,      2,    